## python-jsonext 0.4.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/jsonext.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/jsonext.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/jsonext"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/jsonext"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-jsonext 0.4.1

=== debian/changelog ===
python-jsonext (0.4.1-1) unstable; urgency=medium

  * The “علي محمد باقر النمر‎‎ (Ali Mohammed Baqir al-Nimr)” release.
  * Initial release.
    Closes: bug#873285.

 -- Ben Finney <bignose@debian.org>  Sat, 26 Aug 2017 21:11:04 +1000

=== debian/control ===
Source: python-jsonext
Maintainer: Ben Finney <bignose@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.1
Build-Depends:
    python3-pytest-runner,
    python3-arrow,
    python3-six,
    python3-setuptools,
    python3-all,
    python-pytest-runner,
    python-arrow,
    python-six,
    python-setuptools,
    python-all (>= 2.7~),
    dh-python,
    debhelper (>= 10~)
Homepage: https://pypi.org/project/jsonext/
VCS-Git: https://anonscm.debian.org/git/users/bignose/debian/pkg-python-jsonext.git
VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian/pkg-python-jsonext.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python3-jsonext
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends}
Description: serialisation to/from JSON for extra types — Python 3
 ‘jsonext’ makes easy JSON serialisation of Python objects outside of
 the standard Python built-in-types.
 .
 This package installs the library for Python 3.

Package: python-jsonext
Architecture: all
Depends:
    ${python:Depends},
    ${misc:Depends}
Description: serialisation to/from JSON for extra types — Python 2
 ‘jsonext’ makes easy JSON serialisation of Python objects outside of
 the standard Python built-in-types.
 .
 This package installs the library for Python 2.

=== debian/rules ===
#! /usr/bin/make -f

# debian/rules
# Part of Debian ‘python-jsonext’ package.
#
# Copyright © 2009–2017 Ben Finney <bignose@debian.org>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 3 or later.
# No warranty expressed or implied.

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

export PYBUILD_NAME = jsonext


%:
	dh $@ --with python3,python2 --buildsystem=pybuild


.PHONY: get-packaged-orig-source
get-packaged-orig-source:
	$(uscan-download-source) --download-current-version

# Policy §4.9 strongly recommends the ‘get-orig-source’ target:
# “This target is optional, but providing it if possible is a good idea.”
#
# This target is an anomaly: per Policy §4.9, it fetches the *latest*
# upstream source, regardless of this package's version. To fetch the
# upstream source corresponding to this package's *declared* version
# in ‘debian/changelog’, use ‘get-packaged-orig-source’ instead.
.PHONY: get-orig-source
get-orig-source:
	$(uscan-download-source)

get-orig-source get-packaged-orig-source: http_proxy =
get-orig-source get-packaged-orig-source: makefile_dir = $(abspath $(dir $(firstword ${MAKEFILE_LIST})))
get-orig-source get-packaged-orig-source: package_dir = $(abspath $(dir ${makefile_dir}))

define uscan-download-source
	uscan --noconf --verbose \
	    --force-download \
	    --rename \
	    --destdir=$(CURDIR) \
	    --check-dirname-level=0 ${package_dir}
endef # uscan-download-source


override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r ${GENERATED_FILES}


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.

Tests: smoke-python2
Depends:
    python-pkg-resources,
    python-jsonext

Tests: smoke-python3
Depends:
    python3-pkg-resources,
    python3-jsonext


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

=== debian/watch ===
# debian/watch
# Debian UScan configuration for ‘python-jsonext’ package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Python Package Index.
opts = "uversionmangle=s/(\d)((?:a|b|c|rc)\d*)$/$1~$2/" \
    http://pypi.debian.net/jsonext/ \
    /jsonext/jsonext-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

## python-jsonext 0.4.2

=== debian/changelog ===
python-jsonext (0.4.2-3) unstable; urgency=medium

  * The “Sarah Gorelick” release.
  * Declare conformance to “Standards-Version: 4.6.2”.
    No additional changes required.
  * Ensure AutoPkgTest import test executes outside of source tree.
  * Use external package ‘python3-package-smoke-test’ for AutoPkgTest.
    Closes: bug#1040852. Thanks to Matthias Klose for the report.
  * debian/tests/smoke_test.py:
    * Remove unused test helper module, now migrated to external package.

 -- Ben Finney <bignose@debian.org>  Fri, 21 Jul 2023 16:48:54 +1000

python-jsonext (0.4.2-2) unstable; urgency=medium

  * Acknowledge non-maintainer upload “0.4.2-1.1”.
  * Declare conformance to “Standards-Version: 4.6.1”.
    No additional changes required.
  * Declare Debhelper compatibility level 13.
  * Rename default Git branch in official repository, to ‘main’.
  * Update package source documentation for standard packaging tools.
  * Specify the package build system does not require root privilege.
  * Use current Homepage value for the upstream project.
  * Remove obsolete field from DEP-12 metadata.
  * Use only supported Python versions in the AutoPkgTest.
    Closes: bug#954477. Thanks to Scott Kitterman for the report.
  * Override false positive Lintian check for VCS-* field names.
  * Explicitly mark a superficial AutoPkgTest case.

 -- Ben Finney <bignose@debian.org>  Wed, 23 Nov 2022 16:34:25 +1100

python-jsonext (0.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * python-jsonext: Fix autopkgtest regression.
    Use pyversions -s to test all suported versions (Closes: #954477).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 28 Mar 2020 17:35:28 -0400

python-jsonext (0.4.2-1) unstable; urgency=medium

  [ Ben Finney ]
  * New upstream version.
    Now includes user documentation.
  * Declare conformance to “Standards-Version: 4.4.1”.
  * Specify HTTPS URL for upstream source repository.
  * Improve consistency of copyright grant in Debian packaging.
  * Use a null command for ‘clean’ during ‘Git-BuildPackage’.
  * Declare Debhelper compatibility level 12.
  * debian/compat:
    * Remove obsolescent configuration file.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Update copyright years for Debian packaging.
  * Specify current VCS for Debian packaging work.
  * Remove ‘debian/patches/migrate-from-times-to-arrow.patch’, now applied
    upstream.
  * Remove obsolete control field for Python 2 version.
  * Remove declaration for minimum Python 3 version.
    Python >= 3.4 is now in all supported Debian releases.
  * Record upstream metadata in DEP-12 document.

  [ Sandro Tosi ]
  * Remove autopkgtest smoke test for Python 2.
  * Don't build Python 2 binary packages.
  * Remove support for Python 2.
    Closes: bug#937855.

 -- Ben Finney <bignose@debian.org>  Sat, 26 Oct 2019 12:25:12 +1100

=== debian/control ===
Source: python-jsonext
Maintainer: Ben Finney <bignose@debian.org>
Section: python
Priority: optional
Build-Depends:
    python3-pytest-runner,
    python3-arrow,
    python3-six,
    python3-setuptools,
    python3-all,
    dh-python,
    debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/mbr/jsonext
VCS-Git: https://salsa.debian.org/bignose/pkg-python-jsonext.git
VCS-Browser: https://salsa.debian.org/bignose/pkg-python-jsonext/
Rules-Requires-Root: no

Package: python3-jsonext
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends}
Description: serialisation to/from JSON for extra types — Python 3
 ‘jsonext’ makes easy JSON serialisation of Python objects outside of
 the standard Python built-in-types.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#! /usr/bin/make -f

# debian/rules
# Part of Debian ‘python-jsonext’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

export PYBUILD_NAME = jsonext


%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r ${GENERATED_FILES}


# Copyright © 2009–2023 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

Tests: smoke-python3
Restrictions:
    superficial
Depends:
    python3-package-smoke-test,
    python3-all,
    @


# Copyright © 2016–2023 Ben Finney <bignose@debian.org>
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# coding: utf-8
# mode: conf-space
# End:
# vim: fileencoding=utf-8 filetype=conf :
